Revert bug 19975, now that gcc 4.7 is required.